package com.dzeio.openhealth.adapters

import android.view.LayoutInflater
import android.view.ViewGroup
import com.dzeio.openhealth.core.BaseAdapter
import com.dzeio.openhealth.core.BaseViewHolder
import com.dzeio.openhealth.data.step.Step
import com.dzeio.openhealth.databinding.LayoutItemListBinding

class StepsAdapter() : BaseAdapter<Step, LayoutItemListBinding>() {

    override val bindingInflater: (LayoutInflater, ViewGroup?, Boolean) -> LayoutItemListBinding
        get() = LayoutItemListBinding::inflate

    var onItemClick: ((weight: Step) -> Unit)? = null

    override fun onBindData(
        holder: BaseViewHolder<LayoutItemListBinding>,
        item: Step,
        position: Int
    ) {
        holder.binding.value.text = "${item.value}steps"
        holder.binding.datetime.text = item.formatTimestamp()
        holder.binding.edit.setOnClickListener {
            onItemClick?.invoke(item)
        }
    }
}
