package com.dzeio.openhealth.data.step

import androidx.room.Dao
import androidx.room.Query
import com.dzeio.openhealth.core.BaseDao
import kotlinx.coroutines.flow.Flow

@Dao
interface StepDao : BaseDao<Step> {

    @Query("SELECT * FROM Step ORDER BY timestamp DESC")
    fun getAll(): Flow<List<Step>>

    @Query("SELECT * FROM Step where id = :weightId")
    fun getOne(weightId: Long): Flow<Step?>

    @Query("Select count(*) from Step")
    fun getCount(): Flow<Int>

    @Query("Select * FROM Step ORDER BY timestamp DESC LIMIT 1")
    fun last(): Flow<Step?>

    @Query("DELETE FROM Step where source = :source")
    suspend fun deleteFromSource(source: String)
}
