package com.dzeio.openhealth.ui.weight

import android.content.SharedPreferences
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.data.weight.WeightRepository
import com.dzeio.openhealth.units.UnitFactory
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class ListWeightViewModel @Inject internal constructor(
    private val weightRepository: WeightRepository,
    settings: SharedPreferences
) : BaseViewModel() {

    var weightUnit =
        UnitFactory.mass(settings.getString("weight_unit", "kilogram") ?: "kilogram")

    val goalWeight: Float? =
        (settings.getString("weight_goal", null)?.toFloatOrNull())

    fun fetchWeights() = weightRepository.getWeights()
}
