package com.dzeio.openhealth.units

object UnitFactory {
    fun mass(unit: String): Units.Mass {
        return when (unit.lowercase()) {
            "kilogram", "kilograms", "kg" -> Units.Mass.KILOGRAM
            "pound", "pounds", "lb" -> Units.Mass.POUND
            else -> Units.Mass.KILOGRAM
        }
    }

    fun volume(unit: String): Units.Volume {
        return when (unit.lowercase()) {
            "milliliter", "milliliters", "ml" -> Units.Volume.MILLILITER
            "imperial ounce", "imperial ounces", "oz" -> Units.Volume.IMPERIAL_OUNCE
            "us ounce", "us ounces" -> Units.Volume.US_OUNCE
            else -> Units.Volume.MILLILITER
        }
    }
}
